LoadTempData
% Cold spot in Ohio, Nevada, hot spot in LA, upper midwest
load ProfileLocs
dvec = 0:100:50e3;
clear TParms
TParms.j = Loc.j;
TParms.k = Loc.k;
TParms.Depth = 0:100:50e3;
T = TherMod(TParms);

figure(1)
clf; hold on
c = 'cbrm';
Label = 'ABCD';
for j = 1:4
	plot(T(j,:),dvec/1e3,'linewidth',2,'color',c(j));
	text(double(T(j,240))+10,dvec(240)/1e3,Label(j),'color',c(j));
end
box on
grid on
set(gca,'ydir','reverse')
xlabel('Temperature (^oC)');
ylabel('Depth (km)');
xlim([0 1200])
PrepFig(24)
